%?mingw_package_header

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-glib-networking
Version:        2.48.2
Release:        %mkrel 2
Summary:        MinGW Windows glib-networking library

License:        LGPLv2+
Group:          Development/Other
URL:            http://www.gnome.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glib-networking/%{release_version}/glib-networking-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw32-gnutls >= 2.10
BuildRequires:  mingw64-gnutls >= 2.10
BuildRequires:  pkgconfig
BuildRequires:  intltool

%description
This package contains modules that extend the networking support in GIO.


%package -n mingw32-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw32-glib-networking
This package contains modules that extend the networking support in GIO.


%package -n mingw64-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw64-glib-networking
This package contains modules that extend the networking support in GIO.


%?mingw_debug_package


%prep
%setup -q -n glib-networking-%{version}


%build
%mingw_configure --disable-static
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gio/modules/*.dll.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gio/modules/*.dll.a
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gio/modules/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gio/modules/*.la

%mingw_find_lang glib-networking


%files -n mingw32-glib-networking -f mingw32-glib-networking.lang
%license COPYING
%{mingw32_libdir}/gio/modules/libgiognutls.dll

%files -n mingw64-glib-networking -f mingw64-glib-networking.lang
%license COPYING
%{mingw64_libdir}/gio/modules/libgiognutls.dll




%changelog
* Wed May 11 2016 tv <tv> 2.48.2-2.mga6
+ Revision: 1012961
- rebuild for new mingw-gnutls

* Wed May 11 2016 tv <tv> 2.48.2-1.mga6
+ Revision: 1012690
- new release

* Thu Apr 07 2016 tv <tv> 2.46.1-1.mga6
+ Revision: 999141
- new release

  + neoclust <neoclust>
    - imported package mingw-glib-networking

